%global tarball xf86-video-amdgpu
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/drivers
#global gitdate 20160929
%global gitversion 97d7386c

%if 0%{?gitdate}
%global gver .%{gitdate}git%{gitversion}
%endif

Name: x11-driver-video-amdgpu
Version: 1.3.0
Release: %mkrel 1%{?gver}
Summary: X.org driver for ATI Technologies
Group: System/X11
URL: http://xorg.freedesktop.org
License: MIT
%if 0%{?gitdate}
Source0: %{tarball}-%{gitdate}.tar.xz
%else
Source0: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-amdgpu-%{version}.tar.bz2
%endif

# upstream fixes

BuildRequires: pkgconfig(applewmproto) >= 1.0.0
BuildRequires: pkgconfig(dri)
BuildRequires: pkgconfig(gbm)
BuildRequires: pkgconfig(libdrm) >= 2.4.46
BuildRequires: pkgconfig(xorg-server) >= 1.19.0
BuildRequires: libudev-devel
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Recommends: radeon-firmware

%description
x11-driver-video-amdgpu is the X.org driver for AMD.

%prep
%autosetup -n %{tarball}-%{?gitdate:%{gitdate}}%{?!gitdate:%{version}}

%build
autoreconf -fiv
%configure2_5x --enable-glamor
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%{driverdir}/amdgpu_drv.so
%{_datadir}/X11/xorg.conf.d/10-amdgpu.conf
%{_mandir}/man4/amdgpu.4*


%changelog
* Fri Mar 17 2017 tv <tv> 1.3.0-1.mga6
+ Revision: 1093270
- BR libudev-devel
- new release

* Fri Nov 18 2016 tv <tv> 1.2.0-1.mga6
+ Revision: 1068174
- new release

* Thu Nov 17 2016 tv <tv> 1.1.2-3.20160929git97d7386c.mga6
+ Revision: 1067684
- use a git snapshot (fixes for use with xserver-1.19)
- rebuild for xserver 1.19

* Wed Oct 05 2016 tv <tv> 1.1.2-1.mga6
+ Revision: 1058920
- remove useless sed
- use %%autosetup
- use %%global instead of %%define
- remove .la files
- new release

* Thu Sep 15 2016 tv <tv> 1.1.1-1.mga6
+ Revision: 1053119
- new version

* Fri Jul 22 2016 tmb <tmb> 1.1.0-4.mga6
+ Revision: 1043199
- DRI2: Add interpolated_vblanks in amdgpu_dri2_get_crtc_msc

* Thu Jul 21 2016 tmb <tmb> 1.1.0-3.mga6
+ Revision: 1043026
- sync in more upstream fixes

* Tue Jul 05 2016 tmb <tmb> 1.1.0-2.mga6
+ Revision: 1038936
- sync in fixes from upstream git

* Fri Apr 08 2016 tv <tv> 1.1.0-0.mga6
+ Revision: 999349
- new release

* Wed Feb 24 2016 tv <tv> 1.0.1-0.mga6
+ Revision: 978598
- new release

* Mon Nov 23 2015 tv <tv> 1.0.0-0.mga6
+ Revision: 905097
- new release

* Wed Nov 11 2015 tv <tv> 0.1-0.20151104git92e7c93.mga6
+ Revision: 902255
- BR pkgconfig(gbm)
- imported package x11-driver-video-amdgpu

